Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xalan.xslt
Class ResultTreeFrag

    java.lang.Object
      |
      +--weblogic.apache.xalan.xslt.UnImplNode
            |
            +--weblogic.apache.xalan.xslt.ResultTreeFrag

public class ResultTreeFrag
extends UnImplNode
implements org.w3c.dom.DocumentFragment

Container of a result tree fragment.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`ResultTreeFrag(org.w3c.dom.Document docFactory, MutableNodeList children, XPathSupport support)`
`ResultTreeFrag(org.w3c.dom.Document docFactory, XPathSupport support)`

Method Summary
`org.w3c.dom.Node` | `appendChild(org.w3c.dom.Node newChild)` Adds the node `newChild` to the end of the list of children of this node.
`org.w3c.dom.Node` | `cloneNode(boolean deep)` Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes.
`org.w3c.dom.NamedNodeMap` | `getAttributes()` A `NamedNodeMap` containing the attributes of this node (if it is an `Element`) or `null` otherwise.
`org.w3c.dom.NodeList` | `getChildNodes()` A `NodeList` that contains all children of this node.
`org.w3c.dom.Node` | `getFirstChild()` The first child of this node.
`org.w3c.dom.Node` | `getLastChild()` The last child of this node.
`java.lang.String` | `getLocalName()` Unimplemented.
`java.lang.String` | `getNamespaceURI()` Unimplemented.
`org.w3c.dom.Node` | `getNextSibling()` The node immediately following this node.
`java.lang.String` | `getNodeName()` The name of this node, depending on its type; see the table above.
`short` | `getNodeType()` A code representing the type of the underlying object, as defined above.
`java.lang.String` | `getNodeValue()` The value of this node, depending on its type; see the table above.
`org.w3c.dom.Document` | `getOwnerDocument()` The `Document` object associated with this node.
`org.w3c.dom.Node` | `getParentNode()` The parent of this node.
`java.lang.String` | `getPrefix()` Unimplemented.
`org.w3c.dom.Node` | `getPreviousSibling()` The node immediately preceding this node.
`boolean` | `hasChildNodes()` This is a convenience method to allow easy determination of whether a node has any children.
`org.w3c.dom.Node` | `insertBefore(org.w3c.dom.Node newChild, org.w3c.dom.Node refChild)` Inserts the node `newChild` before the existing child node `refChild`.
`void` | `normalize()` Unimplemented.
`org.w3c.dom.Node` | `removeChild(org.w3c.dom.Node oldChild)` Removes the child node indicated by `oldChild` from the list of children, and returns it.
`org.w3c.dom.Node` | `replaceChild(org.w3c.dom.Node newChild, org.w3c.dom.Node oldChild)` Replaces the child node `oldChild` with `newChild` in the list of children, and returns the `oldChild` node.
`void` | `setNodeValue(java.lang.String x)` DocumentFragments never have a nodeValue.
`void` | `setPrefix(java.lang.String prefix)` Unimplemented.
`boolean` | `supports(java.lang.String feature, java.lang.String version)` Unimplemented.

Methods inherited from class weblogic.apache.xalan.xslt.UnImplNode
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getLength, getTagName, hasAttribute, hasAttributeNS, hasAttributes, item, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResultTreeFrag

    public ResultTreeFrag(org.w3c.dom.Document docFactory,
                          XPathSupport support)

### ResultTreeFrag

    public ResultTreeFrag(org.w3c.dom.Document docFactory,
                          MutableNodeList children,
                          XPathSupport support)

Method Detail

### getNodeName

    public final java.lang.String getNodeName()

  The name of this node, depending on its type; see the table above.

  Overrides:
    getNodeName in class UnImplNode

### getNodeValue

    public java.lang.String getNodeValue()
                                  throws org.w3c.dom.DOMException

  The value of this node, depending on its type; see the table above.

  Throws:
    org.w3c.dom.DOMException - NO_MODIFICATION_ALLOWED_ERR: Raised when the node is readonly.
    org.w3c.dom.DOMException - DOMSTRING_SIZE_ERR: Raised when it would return more characters than fit in a `DOMString` variable on the implementation platform.
  Overrides:
    getNodeValue in class UnImplNode

### setNodeValue

    public void setNodeValue(java.lang.String x)
                      throws org.w3c.dom.DOMException

  DocumentFragments never have a nodeValue.

  Throws:
    DOMException(NO_MODIFICATION_ALLOWED_ERR) -
  Overrides:
    setNodeValue in class UnImplNode

### getNodeType

    public final short getNodeType()

  A code representing the type of the underlying object, as defined above.

  Overrides:
    getNodeType in class UnImplNode

### getParentNode

    public org.w3c.dom.Node getParentNode()

  The parent of this node. All nodes, except `Document`, `DocumentFragment`, and `Attr` may have a parent. However, if a node has just been created and not yet added to the tree, or if it has been removed from the tree, this is `null`.

  Overrides:
    getParentNode in class UnImplNode

### getChildNodes

    public org.w3c.dom.NodeList getChildNodes()

  A `NodeList` that contains all children of this node. If there are no children, this is a `NodeList` containing no nodes. The content of the returned `NodeList` is "live" in the sense that, for instance, changes to the children of the node object that it was created from are immediately reflected in the nodes returned by the `NodeList` accessors; it is not a static snapshot of the content of the node. This is true for every `NodeList`, including the ones returned by the `getElementsByTagName` method.

  Overrides:
    getChildNodes in class UnImplNode

### getFirstChild

    public org.w3c.dom.Node getFirstChild()

  The first child of this node. If there is no such node, this returns `null`.

  Overrides:
    getFirstChild in class UnImplNode

### getLastChild

    public org.w3c.dom.Node getLastChild()

  The last child of this node. If there is no such node, this returns `null`.

  Overrides:
    getLastChild in class UnImplNode

### getPreviousSibling

    public org.w3c.dom.Node getPreviousSibling()

  The node immediately preceding this node. If there is no such node, this returns `null`.

  Overrides:
    getPreviousSibling in class UnImplNode

### getNextSibling

    public org.w3c.dom.Node getNextSibling()

  The node immediately following this node. If there is no such node, this returns `null`.

  Overrides:
    getNextSibling in class UnImplNode

### getAttributes

    public org.w3c.dom.NamedNodeMap getAttributes()

  A `NamedNodeMap` containing the attributes of this node (if it is an `Element`) or `null` otherwise.

  Overrides:
    getAttributes in class UnImplNode

### getOwnerDocument

    public org.w3c.dom.Document getOwnerDocument()

  The `Document` object associated with this node. This is also the `Document` object used to create new nodes. When this node is a `Document` this is `null`.

  Overrides:
    getOwnerDocument in class UnImplNode

### insertBefore

    public org.w3c.dom.Node insertBefore(org.w3c.dom.Node newChild,
                                         org.w3c.dom.Node refChild)
                                  throws org.w3c.dom.DOMException

  Inserts the node `newChild` before the existing child node `refChild`. If `refChild` is `null`, insert `newChild` at the end of the list of children.
  If `newChild` is a `DocumentFragment` object, all of its children are inserted, in the same order, before `refChild`. If the `newChild` is already in the tree, it is first removed.

  Parameters:
    `newChild` - The node to insert.
    `refChild` - The reference node, i.e., the node before which the new node must be inserted.
  Returns:
    The node being inserted.
  Throws:
    org.w3c.dom.DOMException - HIERARCHY_REQUEST_ERR: Raised if this node is of a type that does not allow children of the type of the `newChild` node, or if the node to insert is one of this node's ancestors.
    WRONG_DOCUMENT_ERR: Raised if `newChild` was created from a different document than the one that created this node.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.
    NOT_FOUND_ERR: Raised if `refChild` is not a child of this node.
  Overrides:
    insertBefore in class UnImplNode

### replaceChild

    public org.w3c.dom.Node replaceChild(org.w3c.dom.Node newChild,
                                         org.w3c.dom.Node oldChild)
                                  throws org.w3c.dom.DOMException

  Replaces the child node `oldChild` with `newChild` in the list of children, and returns the `oldChild` node. If the `newChild` is already in the tree, it is first removed.

  Parameters:
    `newChild` - The new node to put in the child list.
    `oldChild` - The node being replaced in the list.
  Returns:
    The node replaced.
  Throws:
    org.w3c.dom.DOMException - HIERARCHY_REQUEST_ERR: Raised if this node is of a type that does not allow children of the type of the `newChild` node, or it the node to put in is one of this node's ancestors.
    WRONG_DOCUMENT_ERR: Raised if `newChild` was created from a different document than the one that created this node.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.
    NOT_FOUND_ERR: Raised if `oldChild` is not a child of this node.
  Overrides:
    replaceChild in class UnImplNode

### removeChild

    public org.w3c.dom.Node removeChild(org.w3c.dom.Node oldChild)
                                 throws org.w3c.dom.DOMException

  Removes the child node indicated by `oldChild` from the list of children, and returns it.

  Parameters:
    `oldChild` - The node being removed.
  Returns:
    The node removed.
  Throws:
    org.w3c.dom.DOMException - NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.
    NOT_FOUND_ERR: Raised if `oldChild` is not a child of this node.
  Overrides:
    removeChild in class UnImplNode

### appendChild

    public org.w3c.dom.Node appendChild(org.w3c.dom.Node newChild)
                                 throws org.w3c.dom.DOMException

  Adds the node `newChild` to the end of the list of children of this node. If the `newChild` is already in the tree, it is first removed.

  Parameters:
    `newChild` - The node to add.If it is a `DocumentFragment` object, the entire contents of the document fragment are moved into the child list of this node
  Returns:
    The node added.
  Throws:
    org.w3c.dom.DOMException - HIERARCHY_REQUEST_ERR: Raised if this node is of a type that does not allow children of the type of the `newChild` node, or if the node to append is one of this node's ancestors.
    WRONG_DOCUMENT_ERR: Raised if `newChild` was created from a different document than the one that created this node.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.
  Overrides:
    appendChild in class UnImplNode

### hasChildNodes

    public boolean hasChildNodes()

  This is a convenience method to allow easy determination of whether a node has any children.

  Returns:
    `true` if the node has any children, `false` if the node has no children.
  Overrides:
    hasChildNodes in class UnImplNode

### cloneNode

    public org.w3c.dom.Node cloneNode(boolean deep)

  Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent ( `parentNode` returns `null`.).
  Cloning an `Element` copies all attributes and their values, including those generated by the XML processor to represent defaulted attributes, but this method does not copy any text it contains unless it is a deep clone, since the text is contained in a child `Text` node. Cloning any other type of node simply returns a copy of this node.

  Parameters:
    `deep` - If `true`, recursively clone the subtree under the specified node; if `false`, clone only the node itself (and its attributes, if it is an `Element`).
  Returns:
    The duplicate node.
  Overrides:
    cloneNode in class UnImplNode

### normalize

    public void normalize()

  Unimplemented.

  Overrides:
    normalize in class UnImplNode

### supports

    public boolean supports(java.lang.String feature,
                            java.lang.String version)

  Unimplemented.

  Overrides:
    supports in class UnImplNode

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  Unimplemented.

  Overrides:
    getNamespaceURI in class UnImplNode

### getPrefix

    public java.lang.String getPrefix()

  Unimplemented.

  Overrides:
    getPrefix in class UnImplNode

### setPrefix

    public void setPrefix(java.lang.String prefix)
                   throws org.w3c.dom.DOMException

  Unimplemented.

  Overrides:
    setPrefix in class UnImplNode

### getLocalName

    public java.lang.String getLocalName()

  Unimplemented.

  Overrides:
    getLocalName in class UnImplNode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD